package CHAPTER10;

import javax.swing.BoxLayout;
import javax.swing.ButtonGroup;
import javax.swing.JFrame;
import javax.swing.JRadioButton;

public class JRadioButtonExample extends JFrame {

	public JRadioButtonExample() {

		JRadioButton radio1 = new JRadioButton("Option 1");
		JRadioButton radio2 = new JRadioButton("Option 2");

		ButtonGroup group = new ButtonGroup();
		group.add(radio1); // 그룹에 첫 번째 라디오 버튼 추가
		group.add(radio2); // 그룹에 두 번째 라디오 버튼 추가

		// 라디오 버튼을 JFrame에 추가
		add(radio1);
		add(radio2);

		setLayout(new BoxLayout(getContentPane(), BoxLayout.Y_AXIS));

		// JFrame 설정
		setTitle("JRadioButton Example");
		setSize(300, 100);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setVisible(true);
	}

	public static void main(String[] args) {
		new JRadioButtonExample();
	}
}